/* 
CURSICON.H -- USER-related Cursor/Icon information structure

from "Undocumented Windows" by Schulman et al. (Addison-Wesley, 1992)
Chapter 6: USER

Copyright (c) Dave Maxey 1992
*/

#ifdef __cplusplus
extern "C" {
#endif

typedef struct { 
    POINT   pntHotSpot;         /* Cursor hotspot (ignored for icon) */
    WORD    nWidth;             /* Width of bitmap in pixels */
    WORD    nHeight;            /* Height of bitmap in pixels */
    WORD    nWidthBytes;        /* width of bitmap in bytes */
    BYTE    byPlanes;           /* number of bit planes */
    BYTE    byBitsPix;          /* number of bits per pixel */
    } CURSORICONINFO, FAR *LPCURSORICONINFO;
 
#ifdef __cplusplus
}
#endif

