;
;    EVNTHOOK.ASM -- Event hook routine for SETEHOOK.C
;
;    From Chapter 6 of "Undocumented Windows" (Addison-Wesley 1992)
;    by Andrew Schulman, Dave Maxey and Matt Pietrek
;
;    Build using: WINIOBC SETEHOOK EVNTHOOK (for Borland C++ v3.00)
;                 WINIOMS SETEHOOK EVNTHOOK (for Microsoft C/SDK)
;
;    SETEHOOK.C must be compiled SMALL model

;; Event hook function - subroutine of SETEHOOK.C ;;

    .286P

        PUBLIC  _EventHook
        EXTRN   _wEvent : word
        EXTRN   _wKeyInfo : word

DGROUP  GROUP       _DATA
_DATA   segment     WORD PUBLIC 'DATA'

_DATA   ends

_TEXT   segment     BYTE PUBLIC 'CODE'

_EventHook  proc far
        assume  cs:_TEXT, ds:_DATA
        push    ds
        pusha
        mov     si, _DATA
        mov     ds, si
        mov     word ptr [_wEvent], ax
        mov     word ptr [_wKeyInfo], cx
        popa
        pop     ds
        ret
            
_EventHook  endp        

_TEXT   ends

        end
