/*
FLOTLOOP.C
Illustrates bug in CL386
If run on machine with 387 or 486, runs fine
If run on 386 machine without 387, and compiled without -Ox, runs fine
If ditto and compile with -Ox, only prints first number!

Note: this doesn't really depend on WINIO; replace with whatever you
want to use to produce output

Andrew Schulman
andrew@pharlap.com
*/

#include <stdlib.h>
#include <math.h>
#include "windows.h"
#include "winio.h"

main()
{
    double x, rx;
    for (x=10.0; x<=10000000000000.0; x *= 10.0)
    {
        rx = log(x);
        printf("%12.0f\t%12.0f\t%.2f%%\n", x, rx, 100 * (rx / x));
    }
	return 0;
}
