/*
SHOW_LDT.C
Andrew Schulman, May 1993
*/

#include <stdlib.h>
#include <dos.h>
#include "windows.h"
#include "winio.h"
#include "protmode.h"

BOOL is_empty(DESCRIPTOR far *d)
{
	DWORD far *fp = (DWORD far *) d;
	return ((fp[0] == 0L) && (fp[1] == 0L));
}

main()
{
	DESCRIPTOR far *ldt;
	DESCRIPTOR far *d;
	WORD num_sel;
	WORD i;
	
	ldt = get_ldt();
	num_sel = (GetSelectorLimit(FP_SEG(ldt)) + 1) / sizeof(DESCRIPTOR);
	
	for (i=0, d=ldt; i<num_sel; i++, d++)
		if (! is_empty(d))
			printf("%d   %04X   %08lX   %08lX\n",
				i,	   // LDT entry
				(i * 8)+7, // LDT selector, Ring 3
				get_base(d),
				get_limit(d));
	
	free_mapped_linear(ldt);
	return 0;
}
