/* 
TASKQ.H -- Task Queue structure

from "Undocumented Windows" by Schulman et al. (Addison-Wesley, 1992)
Chapters 5 & 6

Copyright (c) Andrew Schulman, 1992
*/

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
    WORD    Next;                   // 0
    WORD    hTask;                  // 2
    WORD    msgSize;                // 4
    WORD    msgCount;               // 6
    WORD    nextMessageOffset;      // 8
    WORD    nextFreeMessageOffset;  // 0A
    WORD    endOfQueue;             // 0C
    DWORD   GetMessageTimeRetval;   // 0E
    DWORD   GetMessagePosRetval;    // 12
    WORD    messageQueueStart;      // 16
}   MESSAGEQUEUE;

#ifdef __cplusplus
}
#endif

