/* 
TEST1684.C
Just a quick hack to test DOS interaction with FAKEWIN
Andrew Schulman, June 1994
*/

#include <stdlib.h>
#include <stdio.h>
#include <dos.h>

typedef unsigned short WORD;

typedef struct {
#ifdef __TURBOC__
    WORD bp,di,si,ds,es,dx,cx,bx,ax;
#else
    WORD es,ds,di,si,bp,sp,bx,dx,cx,ax;     /* same as PUSHA */
#endif
    WORD ip,cs,flags;
    } REG_PARAMS;

static WORD vxd_calls = 0;
static WORD vxd = 0;
static void far *requ = (void far *) 0;
static void (interrupt far *old_2f)();

void interrupt far int2f(REG_PARAMS r)
{
    if (r.ax == 0x1684)
    {
        vxd_calls++;
        requ = MK_FP(r.cs, r.ip);
        vxd = r.bx;
    }
    _chain_intr(old_2f);
}

void test_1684(void)
{
	void interrupt far int2f(REG_PARAMS r);
    old_2f = _dos_getvect(0x2F);
    _dos_setvect(0x2f, int2f);
	// should be hooking INT 24h, etc.
	system(getenv("COMSPEC"));
    _dos_setvect(0x2F, old_2f);
	if (vxd_calls)
	{
		printf("\nReceived %d calls to 2F/1684 (Get VxD API)\n", vxd_calls);
		printf("Request VxD #%04Xh from %Fp\n", vxd, requ);
	}
}
