/* 
USEDPMI2.C -- very simple DPMI client
bcc usedpmi2.c dpmish.c ctrl_c.asm
Andrew Schulman, April 1994
*/

#include <stdlib.h>
#include <stdio.h>
#include <dos.h>
#include "dpmish.h"

void fail(const char *s, ...) { puts(s); _dos_exit(1); }

void print_regs(void)
{
	unsigned short ds_reg, cs_reg;
	_asm mov ax, cs
	_asm mov cs_reg, cs
	_asm mov ax, ds
	_asm mov ds_reg, ax
	printf("CS=%04Xh DS=%04Xh\n", cs_reg, ds_reg);
}

int real_main(int argc, char *argv[]) 
{ 
	print_regs();
	return 0;
}

int pmode_main(int argc, char *argv[])
{
	print_regs();
    printf("Greetings from protected mode!\n");
}
	
