; CURRDRIV.ASM
; Sample VxD that handles one INT 21h function entirely in protected mode
; from Schulman, Unauthorized Windows, 1994

.386p

INCLUDE VMM.INC
INCLUDE V86MMGR.INC

Declare_Virtual_Device CURRDRIV, 1, 0, \
    Control_Proc, \
    Undefined_Device_ID, \
    Undefined_Init_Order, , ,\

VxD_DATA_SEG

;;; need to add in linear DOS data segment
Lin_CurDrv			dd	0336h

VxD_DATA_ENDS

VxD_CODE_SEG

BeginProc	Int21V86
	movzx	eax, [ebp.Client_AX]
	cmp		ah, 19h
	je		short Do_GetCurDrv
	stc
	ret

Do_GetCurDrv:
	mov		eax, [Lin_CurDrv]
	mov		al, byte ptr [eax]
	mov		byte ptr [ebp.Client_AL], al
	clc	
	ret
EndProc		Int21V86

VxD_CODE_ENDS

VxD_LOCKED_CODE_SEG

BeginProc   Control_Proc
    Control_Dispatch Device_Init, Do_Device_Init
    clc     
    ret
EndProc     Control_Proc

VxD_LOCKED_CODE_ENDS

VxD_ICODE_SEG

BeginProc   Do_Device_Init
	Push_Client_State
    VMMcall Begin_Nest_V86_Exec
	mov		[ebp.Client_AH], 52h
    mov     eax, 21h
    VMMcall Exec_Int
	movzx	eax, [ebp.Client_ES]
	shl		eax, 4
	add		Lin_CurDrv, eax
    VMMcall End_Nest_Exec
	Pop_Client_State

	mov		eax, 21h
	mov		esi, offset32 Int21V86
	VMMcall	Hook_V86_Int_Chain

    ret
EndProc     Do_Device_Init

VxD_ICODE_ENDS

VXD_REAL_INIT_SEG

real_init proc near
    xor ax, ax
    xor bx, bx
    xor si, si
    xor edx, edx
    ret
real_init endp

VXD_REAL_INIT_ENDS

    END
